## net.dontdrinkandroot.wicket.bootstrap.css
Enum FontAwesomeIconClass

    java.lang.Object
      java.lang.Enum<FontAwesomeIconClass>
          net.dontdrinkandroot.wicket.bootstrap.css.FontAwesomeIconClass

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FontAwesomeIconClass>, net.dontdrinkandroot.wicket.css.CssClass

    public enum FontAwesomeIconClass

extends java.lang.Enum<FontAwesomeIconClass>
implements net.dontdrinkandroot.wicket.css.CssClass

Icon classes for FontAwesome. Includes all icons up to version 3.0.2. Do not consider the ordinal number to be stable.

Enum Constant Summary
`ADJUST`
`ALIGN_CENTER`
`ALIGN_JUSTIFY`
`ALIGN_LEFT`
`ALIGN_RIGHT`
`AMBULANCE`
`ANGLE_DOWN`
`ANGLE_LEFT`
`ANGLE_RIGHT`
`ANGLE_UP`
`ARROW_DOWN`
`ARROW_LEFT`
`ARROW_RIGHT`
`ARROW_UP`
`ASTERISK`
`BACKWARD`
`BAN_CIRCLE`
`BAR_CHART`
`BARCODE`
`BEAKER`
`BEER`
`BELL`
`BELL_ALT`
`BOLD`
`BOLT`
`BOOK`
`BOOKMARK`
`BOOKMARK_EMPTY`
`BRIEFCASE`
`BUILDING`
`BULLHORN`
`CALENDAR`
`CAMERA`
`CAMERA_RETRO`
`CARET_DOWN`
`CARET_LEFT`
`CARET_RIGHT`
`CARET_UP`
`CERTIFICATE`
`CHECK`
`CHECK_EMPTY`
`CHEVRON_DOWN`
`CHEVRON_LEFT`
`CHEVRON_RIGHT`
`CHEVRON_UP`
`CIRCLE`
`CIRCLE_ARROW_DOWN`
`CIRCLE_ARROW_LEFT`
`CIRCLE_ARROW_RIGHT`
`CIRCLE_ARROW_UP`
`CIRCLE_BLANK`
`CLOUD`
`CLOUD_DOWNLOAD`
`CLOUD_UPLOAD`
`COFFEE`
`COG`
`COGS`
`COLUMNS`
`COMMENT`
`COMMENT_ALT`
`COMMENTS`
`COMMENTS_ALT`
`COPY`
`CREDIT_CARD`
`CUT`
`DASHBOARD`
`DESKTOP`
`DOUBLE_ANGLE_DOWN`
`DOUBLE_ANGLE_LEFT`
`DOUBLE_ANGLE_RIGHT`
`DOUBLE_ANGLE_UP`
`DOWNLOAD`
`DOWNLOAD_ALT`
`EDIT`
`EJECT`
`ENVELOPE`
`ENVELOPE_ALT`
`EXCHANGE`
`EXCLAMATION_SIGN`
`EXTERNAL_LINK`
`EYE_CLOSE`
`EYE_OPEN`
`FACEBOOK`
`FACEBOOK_SIGN`
`FACETIME_VIDEO`
`FAST_BACKWARD`
`FAST_FORWARD`
`FIGHTER_JET`
`FILE`
`FILE_ALT`
`FILM`
`FILTER`
`FIRE`
`FLAG`
`FOLDER_CLOSE`
`FOLDER_CLOSE_ALT`
`FOLDER_OPEN`
`FOLDER_OPEN_ALT`
`FONT`
`FOOD`
`FORWARD`
`FULLSCREEN`
`GIFT`
`GITHUB`
`GITHUB_ALT`
`GITHUB_SIGN`
`GLASS`
`GLOBE`
`GOOGLE_PLUS`
`GOOGLE_PLUS_SIGN`
`GROUP`
`H_SIGN`
`HAND_DOWN`
`HAND_LEFT`
`HAND_RIGHT`
`HAND_UP`
`HDD`
`HEADPHONES`
`HEART`
`HEART_EMPTY`
`HOME`
`HOSPITAL`
`INBOX`
`INDENT_LEFT`
`INDENT_RIGHT`
`INFO_SIGN`
`ITALIC`
`KEY`
`LAPTOP`
`LEAF`
`LEGAL`
`LEMON`
`LIGHTBULB`
`LINK`
`LINKEDIN`
`LINKEDIN_SIGN`
`LIST`
`LIST_ALT`
`LIST_OL`
`LIST_UL`
`LOCK`
`MAGIC`
`MAGNET`
`MAP_MARKER`
`MEDKIT`
`MINUS`
`MINUS_SIGN`
`MOBILE_PHONE`
`MONEY`
`MOVE`
`MUSIC`
`OFF`
`OK`
`OK_CIRCLE`
`OK_SIGN`
`PAPER_CLIP`
`PASTE`
`PAUSE`
`PENCIL`
`PHONE`
`PHONE_SIGN`
`PICTURE`
`PINTEREST`
`PINTEREST_SIGN`
`PLANE`
`PLAY`
`PLAY_CIRCLE`
`PLUS`
`PLUS_SIGN`
`PLUS_SIGN_ALT`
`PRINT`
`PUSHPIN`
`QRCODE`
`QUESTION_SIGN`
`QUOTE_LEFT`
`QUOTE_RIGHT`
`RANDOM`
`REFRESH`
`REMOVE`
`REMOVE_CIRCLE`
`REMOVE_SIGN`
`REORDER`
`REPEAT`
`REPLY`
`RESIZE_FULL`
`RESIZE_HORIZONTAL`
`RESIZE_SMALL`
`RESIZE_VERTICAL`
`RETWEET`
`ROAD`
`RSS`
`SAVE`
`SCREENSHOT`
`SEARCH`
`SHARE`
`SHARE_ALT`
`SHOPPING_CART`
`SIGN_BLANK`
`SIGNAL`
`SIGNIN`
`SIGNOUT`
`SITEMAP`
`SORT`
`SORT_DOWN`
`SORT_UP`
`SPINNER`
`STAR`
`STAR_EMPTY`
`STAR_HALF`
`STEP_BACKWARD`
`STEP_FORWARD`
`STETHOSCOPE`
`STOP`
`STRIKETHROUGH`
`SUITCASE`
`TABLE`
`TABLET`
`TAG`
`TAGS`
`TASKS`
`TEXT_HEIGHT`
`TEXT_WIDTH`
`TH`
`TH_LARGE`
`TH_LIST`
`THUMBS_DOWN`
`THUMBS_UP`
`TIME`
`TINT`
`TRASH`
`TROPHY`
`TRUCK`
`TWITTER`
`TWITTER_SIGN`
`UMBRELLA`
`UNDERLINE`
`UNDO`
`UNLOCK`
`UPLOAD`
`UPLOAD_ALT`
`USER`
`USER_MD`
`VOLUME_DOWN`
`VOLUME_OFF`
`VOLUME_UP`
`WARNING_SIGN`
`WRENCH`
`ZOOM_IN`
`ZOOM_OUT`

Method Summary
`java.lang.String` `getClassString()`
`static FontAwesomeIconClass` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FontAwesomeIconClass[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADJUST

    public static final FontAwesomeIconClass ADJUST

### ALIGN_CENTER

    public static final FontAwesomeIconClass ALIGN_CENTER

### ALIGN_JUSTIFY

    public static final FontAwesomeIconClass ALIGN_JUSTIFY

### ALIGN_LEFT

    public static final FontAwesomeIconClass ALIGN_LEFT

### ALIGN_RIGHT

    public static final FontAwesomeIconClass ALIGN_RIGHT

### AMBULANCE

    public static final FontAwesomeIconClass AMBULANCE

### ANGLE_DOWN

    public static final FontAwesomeIconClass ANGLE_DOWN

### ANGLE_LEFT

    public static final FontAwesomeIconClass ANGLE_LEFT

### ANGLE_RIGHT

    public static final FontAwesomeIconClass ANGLE_RIGHT

### ANGLE_UP

    public static final FontAwesomeIconClass ANGLE_UP

### ARROW_DOWN

    public static final FontAwesomeIconClass ARROW_DOWN

### ARROW_LEFT

    public static final FontAwesomeIconClass ARROW_LEFT

### ARROW_RIGHT

    public static final FontAwesomeIconClass ARROW_RIGHT

### ARROW_UP

    public static final FontAwesomeIconClass ARROW_UP

### ASTERISK

    public static final FontAwesomeIconClass ASTERISK

### BACKWARD

    public static final FontAwesomeIconClass BACKWARD

### BAN_CIRCLE

    public static final FontAwesomeIconClass BAN_CIRCLE

### BAR_CHART

    public static final FontAwesomeIconClass BAR_CHART

### BARCODE

    public static final FontAwesomeIconClass BARCODE

### BEAKER

    public static final FontAwesomeIconClass BEAKER

### BEER

    public static final FontAwesomeIconClass BEER

### BELL

    public static final FontAwesomeIconClass BELL

### BELL_ALT

    public static final FontAwesomeIconClass BELL_ALT

### BOLD

    public static final FontAwesomeIconClass BOLD

### BOLT

    public static final FontAwesomeIconClass BOLT

### BOOK

    public static final FontAwesomeIconClass BOOK

### BOOKMARK

    public static final FontAwesomeIconClass BOOKMARK

### BOOKMARK_EMPTY

    public static final FontAwesomeIconClass BOOKMARK_EMPTY

### BRIEFCASE

    public static final FontAwesomeIconClass BRIEFCASE

### BUILDING

    public static final FontAwesomeIconClass BUILDING

### BULLHORN

    public static final FontAwesomeIconClass BULLHORN

### CALENDAR

    public static final FontAwesomeIconClass CALENDAR

### CAMERA

    public static final FontAwesomeIconClass CAMERA

### CAMERA_RETRO

    public static final FontAwesomeIconClass CAMERA_RETRO

### CARET_DOWN

    public static final FontAwesomeIconClass CARET_DOWN

### CARET_LEFT

    public static final FontAwesomeIconClass CARET_LEFT

### CARET_RIGHT

    public static final FontAwesomeIconClass CARET_RIGHT

### CARET_UP

    public static final FontAwesomeIconClass CARET_UP

### CERTIFICATE

    public static final FontAwesomeIconClass CERTIFICATE

### CHECK

    public static final FontAwesomeIconClass CHECK

### CHECK_EMPTY

    public static final FontAwesomeIconClass CHECK_EMPTY

### CHEVRON_DOWN

    public static final FontAwesomeIconClass CHEVRON_DOWN

### CHEVRON_LEFT

    public static final FontAwesomeIconClass CHEVRON_LEFT

### CHEVRON_RIGHT

    public static final FontAwesomeIconClass CHEVRON_RIGHT

### CHEVRON_UP

    public static final FontAwesomeIconClass CHEVRON_UP

### CIRCLE

    public static final FontAwesomeIconClass CIRCLE

### CIRCLE_ARROW_DOWN

    public static final FontAwesomeIconClass CIRCLE_ARROW_DOWN

### CIRCLE_ARROW_LEFT

    public static final FontAwesomeIconClass CIRCLE_ARROW_LEFT

### CIRCLE_ARROW_RIGHT

    public static final FontAwesomeIconClass CIRCLE_ARROW_RIGHT

### CIRCLE_ARROW_UP

    public static final FontAwesomeIconClass CIRCLE_ARROW_UP

### CIRCLE_BLANK

    public static final FontAwesomeIconClass CIRCLE_BLANK

### CLOUD

    public static final FontAwesomeIconClass CLOUD

### CLOUD_DOWNLOAD

    public static final FontAwesomeIconClass CLOUD_DOWNLOAD

### CLOUD_UPLOAD

    public static final FontAwesomeIconClass CLOUD_UPLOAD

### COFFEE

    public static final FontAwesomeIconClass COFFEE

### COG

    public static final FontAwesomeIconClass COG

### COGS

    public static final FontAwesomeIconClass COGS

### COLUMNS

    public static final FontAwesomeIconClass COLUMNS

### COMMENT

    public static final FontAwesomeIconClass COMMENT

### COMMENT_ALT

    public static final FontAwesomeIconClass COMMENT_ALT

### COMMENTS

    public static final FontAwesomeIconClass COMMENTS

### COMMENTS_ALT

    public static final FontAwesomeIconClass COMMENTS_ALT

### COPY

    public static final FontAwesomeIconClass COPY

### CREDIT_CARD

    public static final FontAwesomeIconClass CREDIT_CARD

### CUT

    public static final FontAwesomeIconClass CUT

### DASHBOARD

    public static final FontAwesomeIconClass DASHBOARD

### DESKTOP

    public static final FontAwesomeIconClass DESKTOP

### DOUBLE_ANGLE_DOWN

    public static final FontAwesomeIconClass DOUBLE_ANGLE_DOWN

### DOUBLE_ANGLE_LEFT

    public static final FontAwesomeIconClass DOUBLE_ANGLE_LEFT

### DOUBLE_ANGLE_RIGHT

    public static final FontAwesomeIconClass DOUBLE_ANGLE_RIGHT

### DOUBLE_ANGLE_UP

    public static final FontAwesomeIconClass DOUBLE_ANGLE_UP

### DOWNLOAD

    public static final FontAwesomeIconClass DOWNLOAD

### DOWNLOAD_ALT

    public static final FontAwesomeIconClass DOWNLOAD_ALT

### EDIT

    public static final FontAwesomeIconClass EDIT

### EJECT

    public static final FontAwesomeIconClass EJECT

### ENVELOPE

    public static final FontAwesomeIconClass ENVELOPE

### ENVELOPE_ALT

    public static final FontAwesomeIconClass ENVELOPE_ALT

### EXCHANGE

    public static final FontAwesomeIconClass EXCHANGE

### EXCLAMATION_SIGN

    public static final FontAwesomeIconClass EXCLAMATION_SIGN

### EXTERNAL_LINK

    public static final FontAwesomeIconClass EXTERNAL_LINK

### EYE_CLOSE

    public static final FontAwesomeIconClass EYE_CLOSE

### EYE_OPEN

    public static final FontAwesomeIconClass EYE_OPEN

### FACEBOOK

    public static final FontAwesomeIconClass FACEBOOK

### FACEBOOK_SIGN

    public static final FontAwesomeIconClass FACEBOOK_SIGN

### FACETIME_VIDEO

    public static final FontAwesomeIconClass FACETIME_VIDEO

### FAST_BACKWARD

    public static final FontAwesomeIconClass FAST_BACKWARD

### FAST_FORWARD

    public static final FontAwesomeIconClass FAST_FORWARD

### FIGHTER_JET

    public static final FontAwesomeIconClass FIGHTER_JET

### FILE

    public static final FontAwesomeIconClass FILE

### FILE_ALT

    public static final FontAwesomeIconClass FILE_ALT

### FILM

    public static final FontAwesomeIconClass FILM

### FILTER

    public static final FontAwesomeIconClass FILTER

### FIRE

    public static final FontAwesomeIconClass FIRE

### FLAG

    public static final FontAwesomeIconClass FLAG

### FOLDER_CLOSE

    public static final FontAwesomeIconClass FOLDER_CLOSE

### FOLDER_CLOSE_ALT

    public static final FontAwesomeIconClass FOLDER_CLOSE_ALT

### FOLDER_OPEN

    public static final FontAwesomeIconClass FOLDER_OPEN

### FOLDER_OPEN_ALT

    public static final FontAwesomeIconClass FOLDER_OPEN_ALT

### FONT

    public static final FontAwesomeIconClass FONT

### FOOD

    public static final FontAwesomeIconClass FOOD

### FORWARD

    public static final FontAwesomeIconClass FORWARD

### FULLSCREEN

    public static final FontAwesomeIconClass FULLSCREEN

### GIFT

    public static final FontAwesomeIconClass GIFT

### GITHUB

    public static final FontAwesomeIconClass GITHUB

### GITHUB_ALT

    public static final FontAwesomeIconClass GITHUB_ALT

### GITHUB_SIGN

    public static final FontAwesomeIconClass GITHUB_SIGN

### GLASS

    public static final FontAwesomeIconClass GLASS

### GLOBE

    public static final FontAwesomeIconClass GLOBE

### GOOGLE_PLUS

    public static final FontAwesomeIconClass GOOGLE_PLUS

### GOOGLE_PLUS_SIGN

    public static final FontAwesomeIconClass GOOGLE_PLUS_SIGN

### GROUP

    public static final FontAwesomeIconClass GROUP

### H_SIGN

    public static final FontAwesomeIconClass H_SIGN

### HAND_DOWN

    public static final FontAwesomeIconClass HAND_DOWN

### HAND_LEFT

    public static final FontAwesomeIconClass HAND_LEFT

### HAND_RIGHT

    public static final FontAwesomeIconClass HAND_RIGHT

### HAND_UP

    public static final FontAwesomeIconClass HAND_UP

### HDD

    public static final FontAwesomeIconClass HDD

### HEADPHONES

    public static final FontAwesomeIconClass HEADPHONES

### HEART

    public static final FontAwesomeIconClass HEART

### HEART_EMPTY

    public static final FontAwesomeIconClass HEART_EMPTY

### HOME

    public static final FontAwesomeIconClass HOME

### HOSPITAL

    public static final FontAwesomeIconClass HOSPITAL

### INBOX

    public static final FontAwesomeIconClass INBOX

### INDENT_LEFT

    public static final FontAwesomeIconClass INDENT_LEFT

### INDENT_RIGHT

    public static final FontAwesomeIconClass INDENT_RIGHT

### INFO_SIGN

    public static final FontAwesomeIconClass INFO_SIGN

### ITALIC

    public static final FontAwesomeIconClass ITALIC

### KEY

    public static final FontAwesomeIconClass KEY

### LAPTOP

    public static final FontAwesomeIconClass LAPTOP

### LEAF

    public static final FontAwesomeIconClass LEAF

### LEGAL

    public static final FontAwesomeIconClass LEGAL

### LEMON

    public static final FontAwesomeIconClass LEMON

### LIGHTBULB

    public static final FontAwesomeIconClass LIGHTBULB

### LINK

    public static final FontAwesomeIconClass LINK

### LINKEDIN

    public static final FontAwesomeIconClass LINKEDIN

### LINKEDIN_SIGN

    public static final FontAwesomeIconClass LINKEDIN_SIGN

### LIST

    public static final FontAwesomeIconClass LIST

### LIST_ALT

    public static final FontAwesomeIconClass LIST_ALT

### LIST_OL

    public static final FontAwesomeIconClass LIST_OL

### LIST_UL

    public static final FontAwesomeIconClass LIST_UL

### LOCK

    public static final FontAwesomeIconClass LOCK

### MAGIC

    public static final FontAwesomeIconClass MAGIC

### MAGNET

    public static final FontAwesomeIconClass MAGNET

### MAP_MARKER

    public static final FontAwesomeIconClass MAP_MARKER

### MEDKIT

    public static final FontAwesomeIconClass MEDKIT

### MINUS

    public static final FontAwesomeIconClass MINUS

### MINUS_SIGN

    public static final FontAwesomeIconClass MINUS_SIGN

### MOBILE_PHONE

    public static final FontAwesomeIconClass MOBILE_PHONE

### MONEY

    public static final FontAwesomeIconClass MONEY

### MOVE

    public static final FontAwesomeIconClass MOVE

### MUSIC

    public static final FontAwesomeIconClass MUSIC

### OFF

    public static final FontAwesomeIconClass OFF

### OK

    public static final FontAwesomeIconClass OK

### OK_CIRCLE

    public static final FontAwesomeIconClass OK_CIRCLE

### OK_SIGN

    public static final FontAwesomeIconClass OK_SIGN

### PAPER_CLIP

    public static final FontAwesomeIconClass PAPER_CLIP

### PASTE

    public static final FontAwesomeIconClass PASTE

### PAUSE

    public static final FontAwesomeIconClass PAUSE

### PENCIL

    public static final FontAwesomeIconClass PENCIL

### PHONE

    public static final FontAwesomeIconClass PHONE

### PHONE_SIGN

    public static final FontAwesomeIconClass PHONE_SIGN

### PICTURE

    public static final FontAwesomeIconClass PICTURE

### PINTEREST

    public static final FontAwesomeIconClass PINTEREST

### PINTEREST_SIGN

    public static final FontAwesomeIconClass PINTEREST_SIGN

### PLANE

    public static final FontAwesomeIconClass PLANE

### PLAY

    public static final FontAwesomeIconClass PLAY

### PLAY_CIRCLE

    public static final FontAwesomeIconClass PLAY_CIRCLE

### PLUS

    public static final FontAwesomeIconClass PLUS

### PLUS_SIGN

    public static final FontAwesomeIconClass PLUS_SIGN

### PLUS_SIGN_ALT

    public static final FontAwesomeIconClass PLUS_SIGN_ALT

### PRINT

    public static final FontAwesomeIconClass PRINT

### PUSHPIN

    public static final FontAwesomeIconClass PUSHPIN

### QRCODE

    public static final FontAwesomeIconClass QRCODE

### QUESTION_SIGN

    public static final FontAwesomeIconClass QUESTION_SIGN

### QUOTE_LEFT

    public static final FontAwesomeIconClass QUOTE_LEFT

### QUOTE_RIGHT

    public static final FontAwesomeIconClass QUOTE_RIGHT

### RANDOM

    public static final FontAwesomeIconClass RANDOM

### REFRESH

    public static final FontAwesomeIconClass REFRESH

### REMOVE

    public static final FontAwesomeIconClass REMOVE

### REMOVE_CIRCLE

    public static final FontAwesomeIconClass REMOVE_CIRCLE

### REMOVE_SIGN

    public static final FontAwesomeIconClass REMOVE_SIGN

### REORDER

    public static final FontAwesomeIconClass REORDER

### REPEAT

    public static final FontAwesomeIconClass REPEAT

### REPLY

    public static final FontAwesomeIconClass REPLY

### RESIZE_FULL

    public static final FontAwesomeIconClass RESIZE_FULL

### RESIZE_HORIZONTAL

    public static final FontAwesomeIconClass RESIZE_HORIZONTAL

### RESIZE_SMALL

    public static final FontAwesomeIconClass RESIZE_SMALL

### RESIZE_VERTICAL

    public static final FontAwesomeIconClass RESIZE_VERTICAL

### RETWEET

    public static final FontAwesomeIconClass RETWEET

### ROAD

    public static final FontAwesomeIconClass ROAD

### RSS

    public static final FontAwesomeIconClass RSS

### SAVE

    public static final FontAwesomeIconClass SAVE

### SCREENSHOT

    public static final FontAwesomeIconClass SCREENSHOT

### SEARCH

    public static final FontAwesomeIconClass SEARCH

### SHARE

    public static final FontAwesomeIconClass SHARE

### SHARE_ALT

    public static final FontAwesomeIconClass SHARE_ALT

### SHOPPING_CART

    public static final FontAwesomeIconClass SHOPPING_CART

### SIGN_BLANK

    public static final FontAwesomeIconClass SIGN_BLANK

### SIGNAL

    public static final FontAwesomeIconClass SIGNAL

### SIGNIN

    public static final FontAwesomeIconClass SIGNIN

### SIGNOUT

    public static final FontAwesomeIconClass SIGNOUT

### SITEMAP

    public static final FontAwesomeIconClass SITEMAP

### SORT

    public static final FontAwesomeIconClass SORT

### SORT_DOWN

    public static final FontAwesomeIconClass SORT_DOWN

### SORT_UP

    public static final FontAwesomeIconClass SORT_UP

### SPINNER

    public static final FontAwesomeIconClass SPINNER

### STAR

    public static final FontAwesomeIconClass STAR

### STAR_EMPTY

    public static final FontAwesomeIconClass STAR_EMPTY

### STAR_HALF

    public static final FontAwesomeIconClass STAR_HALF

### STEP_BACKWARD

    public static final FontAwesomeIconClass STEP_BACKWARD

### STEP_FORWARD

    public static final FontAwesomeIconClass STEP_FORWARD

### STETHOSCOPE

    public static final FontAwesomeIconClass STETHOSCOPE

### STOP

    public static final FontAwesomeIconClass STOP

### STRIKETHROUGH

    public static final FontAwesomeIconClass STRIKETHROUGH

### SUITCASE

    public static final FontAwesomeIconClass SUITCASE

### TABLE

    public static final FontAwesomeIconClass TABLE

### TABLET

    public static final FontAwesomeIconClass TABLET

### TAG

    public static final FontAwesomeIconClass TAG

### TAGS

    public static final FontAwesomeIconClass TAGS

### TASKS

    public static final FontAwesomeIconClass TASKS

### TEXT_HEIGHT

    public static final FontAwesomeIconClass TEXT_HEIGHT

### TEXT_WIDTH

    public static final FontAwesomeIconClass TEXT_WIDTH

### TH

    public static final FontAwesomeIconClass TH

### TH_LARGE

    public static final FontAwesomeIconClass TH_LARGE

### TH_LIST

    public static final FontAwesomeIconClass TH_LIST

### THUMBS_DOWN

    public static final FontAwesomeIconClass THUMBS_DOWN

### THUMBS_UP

    public static final FontAwesomeIconClass THUMBS_UP

### TIME

    public static final FontAwesomeIconClass TIME

### TINT

    public static final FontAwesomeIconClass TINT

### TRASH

    public static final FontAwesomeIconClass TRASH

### TROPHY

    public static final FontAwesomeIconClass TROPHY

### TRUCK

    public static final FontAwesomeIconClass TRUCK

### TWITTER

    public static final FontAwesomeIconClass TWITTER

### TWITTER_SIGN

    public static final FontAwesomeIconClass TWITTER_SIGN

### UMBRELLA

    public static final FontAwesomeIconClass UMBRELLA

### UNDERLINE

    public static final FontAwesomeIconClass UNDERLINE

### UNDO

    public static final FontAwesomeIconClass UNDO

### UNLOCK

    public static final FontAwesomeIconClass UNLOCK

### UPLOAD

    public static final FontAwesomeIconClass UPLOAD

### UPLOAD_ALT

    public static final FontAwesomeIconClass UPLOAD_ALT

### USER

    public static final FontAwesomeIconClass USER

### USER_MD

    public static final FontAwesomeIconClass USER_MD

### VOLUME_DOWN

    public static final FontAwesomeIconClass VOLUME_DOWN

### VOLUME_OFF

    public static final FontAwesomeIconClass VOLUME_OFF

### VOLUME_UP

    public static final FontAwesomeIconClass VOLUME_UP

### WARNING_SIGN

    public static final FontAwesomeIconClass WARNING_SIGN

### WRENCH

    public static final FontAwesomeIconClass WRENCH

### ZOOM_IN

    public static final FontAwesomeIconClass ZOOM_IN

### ZOOM_OUT

    public static final FontAwesomeIconClass ZOOM_OUT

Method Detail

### values

    public static FontAwesomeIconClass[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FontAwesomeIconClass c : FontAwesomeIconClass.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FontAwesomeIconClass valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getClassString

    public java.lang.String getClassString()

  Specified by:
    `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.